bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compiling error


From: Ralf Wildenhues
Subject: Re: compiling error
Date: Tue, 12 Aug 2008 22:07:47 +0200
User-agent: Mutt/1.5.18 (2008-05-17)

continuing the topic: misc/sort-merge failure
<http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/14202/focus=14203>
(also for me, neither of the suggestions there help)
and <http://thread.gmane.org/gmane.comp.gnu.coreutils.bugs/14235>

* Jim Meyering wrote on Tue, Aug 05, 2008 at 11:10:44PM CEST:
> Jeph Cowan <address@hidden> wrote:
> >
> > I tried both the patch and the subsequent commenting out of
> > nmerge-no's ERR_SUBST line. Neither produced positive results. See
> > attached file.
> 
> It looks like mkstemp may be misbehaving on your system.
> It seems to be setting the first byte of the template
> string to \0.  Hence the bogus diagnostic.

Yep, exactly:

$ cat a.c
#include <stdlib.h>

int main()
{
  char s[] = "does/not/exist/XXXXXX";
  int ret = mkstemp (s);
  printf ("s is '%s', s+1 is '%s', ret is %d\n", s, s+1, ret);
  return 0;
}
$ cc -o a a.c &&./a
s is '', s+1 is 'oes/not/exist/2YApMa', ret is -1


> Now, it'd be good to find out which version of mkstemp
> the code is using: the one in lib/mkstemp.c or the one
> from your C library.

The one from the C library.

> To that end, please see if lib/mkstemp.o
> exists.  If not, rebuild like this to ensure that sort is
> linked to the coreutils-provided version:
> 
>     env gl_cv_func_working_mkstemp=no ./configure && make && make check

FWIW, you can provide gl_cv_func_working_mkstemp=no also as argument to
configure.

Reconfiguring like this fixes the failure.


FWIW, after updating I also get these other failures that Jeph reported,
here's the output with GNU diff in PATH (sorry for not looking at them
any further yet).

Cheers,
Ralf

===========================================
 3 of 348 tests failed
 (55 tests were not run)
 See tests/test-suite.log
 Please report it to address@hidden
===========================================

=======================================================
   GNU coreutils 6.12.135-b041: tests/test-suite.log
=======================================================

3 of 348 tests failed.  (55 tests were not run).

.. contents:: :depth: 2


FAIL: misc/expr.log (exit: 1)
=============================

expr: arbitrary-precision support is not available
expr (GNU coreutils) 6.12.135-b041
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker and James Youngman.
a...
b...
c...
d...
e...
f...
g...
paren1...
paren2...
paren3...
paren4...
paren5...
0bang...
00...
minus0...
andand...
oror...
orempty...
minus2...
fail-a...
bigcmp...
anchor...
bre1...
bre2...
bre3...
bre4...
bre5...
bre6...
bre7...
bre8...
bre9...
bre10...
bre11...
bre12...
bre13...
bre14...
bre15...
bre16...
bre17...
bre18...
bre19...
bre20...
bre21...
bre22...
bre23...
bre24...
bre25...
bre26...
bre27...
bre28...
bre29...
bre30...
bre31...
bre32...
bre33...
bre34...
bre35...
bre36...
bre37...
bre38...
bre39...
bre40...
bre41...
bre42...
bre43...
bre44...
bre45...
bre46...
bre47...
bre48...
bre49...
bre50...
bre51...
bre52...
bre53...
bre54...
bre55...
bre56...
bre57...
bre58...
bre59...
bre60...
bre61...
bre62...
fail-b...
fail-c...
bignum-add...
expr: test bignum-add failed: exit status mismatch:  expected 0, got 3
bignum-add2...
expr: test bignum-add2 failed: exit status mismatch:  expected 0, got 3
bignum-sub...
expr: test bignum-sub failed: exit status mismatch:  expected 0, got 3
bignum-sub2...
expr: test bignum-sub2 failed: exit status mismatch:  expected 0, got 3
bignum-mul...
expr: test bignum-mul failed: exit status mismatch:  expected 0, got 3
bignum-div...
expr: test bignum-div failed: exit status mismatch:  expected 0, got 3
Can't remove directory 
/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests/expr.tmp-9eO4: Device 
busy at /usr/opt/perl5/lib/5.8.2/File/Temp.pm line 858

FAIL: cp/thru-dangling.log (exit: 1)
====================================

+ cp --version
cp (GNU coreutils) 6.12.135-b041
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ . ../../coreutils/tests/test-lib.sh
+ unset function_test
+ eval function_test() { return 11; }; function_test
+ function_test
+ test 11 != 11
+ + pwd
test_dir_=/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests
+ + this_test_
this_test=thru-dangling
+ + /home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/src/mktemp -d 
--tmp=/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests 
cu-thru-dangling.XXXXXXXXXX
t_=/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests/cu-thru-dangling.X13DeiKQM4
+ trap remove_tmp_ 0
+ trap (exit $?); exit $? 1 2 13 15
+ cd 
/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests/cu-thru-dangling.X13DeiKQM4
+ 2>& 1 1> /dev/null
+ grep GNU
+ diff --version
+ 0< /dev/null 2>& 1
+ ln -s no-such dangle
+ echo hi
+ 1> f
+ echo hi
+ 1> exp
+ echo cp: not writing through dangling symlink `dangle'
+ 1> exp-err
+ fail=0
+ cp f dangle
+ 1> err 2>& 1
+ compare err exp-err
+ test -f no-such
+ cp f dangle
+ 1> out 2>& 1
+ cat no-such
+ 1>> out
+ compare out exp
--- out 2008-08-12 19:24:01.000000000 +0000
+++ exp 2008-08-12 19:24:01.000000000 +0000
@@ -1,2 +1 @@
-+ POSIXLY_CORRECT=1
 hi
+ fail=1
+ exit 1
+ exit 1
+ remove_tmp_

FAIL: dd/misc.log (exit: 1)
===========================

+ dd --version
dd (coreutils) 6.12.135-b041
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Paul Rubin, David MacKenzie, and Stuart Kemp.
+ . ../../coreutils/tests/test-lib.sh
+ unset function_test
+ eval function_test() { return 11; }; function_test
+ function_test
+ test 11 != 11
+ + pwd
test_dir_=/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests
+ + this_test_
this_test=misc
+ + /home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/src/mktemp -d 
--tmp=/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests 
cu-misc.XXXXXXXXXX
t_=/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests/cu-misc.d5YXHoo1kt
+ trap remove_tmp_ 0
+ trap (exit $?); exit $? 1 2 13 15
+ cd 
/home/rwild/coreutils/build-powerpc-ibm-aix5.3.0.0/tests/cu-misc.d5YXHoo1kt+ 
2>& 1 1> /dev/null
+ grep GNU
+ diff --version
+ 0< /dev/null 2>& 1
+ tmp_in=dd-in.2474112
+ tmp_in2=dd-in2.2474112
+ tmp_sym=dd-sym.2474112
+ tmp_out=dd-out.2474112
+ fail=0
+ warn=0
+ echo data
+ 1> dd-in.2474112
+ ln dd-in.2474112 dd-in2.2474112
+ ln -s dd-in.2474112 dd-sym.2474112
+ dd if=dd-in.2474112 of=dd-out.2474112
+ 2> /dev/null
+ compare dd-in.2474112 dd-out.2474112
+ rm dd-out.2474112
+ dd -- if=dd-in.2474112 of=dd-out.2474112
+ 2> /dev/null
+ compare dd-in.2474112 dd-out.2474112
+ dd oflag=append if=dd-in.2474112 of=dd-out.2474112
+ 2> /dev/null
+ compare dd-in.2474112 dd-out.2474112
+ cat /dev/stdin
+ 0< dd-in.2474112 2> /dev/null
+ dd iflag=nofollow if=dd-in.2474112 count=0
+ 2> /dev/null
+ dd iflag=directory if=. count=0
+ 2> /dev/null
+ + ls -u --full-time dd-in.2474112
old_ls=-rw-rw-r-- 2 rwild rwild 5 2008-08-12 19:24:02.000000000 +0000 
dd-in.2474112
+ sleep 1
+ dd iflag=noatime if=dd-in.2474112 of=dd-out.2474112
+ 2> /dev/null
+ dd oflag=nolinks if=dd-in.2474112 of=dd-out.2474112
+ 2> /dev/null
+ + echo x
+ wc -c
+ dd bs=3 ibs=10 obs=10 conv=sync
+ 2> /dev/null
outbytes=3
+ test 3 -eq 3
+ dd bs=4 status=noxfer iflag=fullblock
+ echo a
+ sleep .1
+ 1> out 2> err
+ echo b
+ printf a\nb\n
+ 1> out_ok
+ echo 1+0 records in
1+0 records out
+ 1> err_ok
+ compare out_ok out
+ compare err_ok err
--- err_ok      2008-08-12 19:24:03.000000000 +0000
+++ err 2008-08-12 19:24:03.000000000 +0000
@@ -1,2 +1,3 @@
++ LC_ALL=C
 1+0 records in
 1+0 records out
+ fail=1
+ test 1 -eq 0
+ exit 1
+ exit 1
+ remove_tmp_
gmake[4]: *** [test-suite.log] Error 1


==============================================================
GNU coreutils 6.12.135-b041: gnulib-tests/test-suite.log
==============================================================

1 of 99 tests failed.  (5 tests were not run).

.. contents:: :depth: 2


FAIL: test-copy-acl.sh.log (exit: 1)
====================================

error accessing the ACLs of file tmpfile0
./../../coreutils/gnulib-tests/test-copy-acl.sh[5]: 1257504 IOT/Abort 
trap(coredump)




reply via email to

[Prev in Thread] Current Thread [Next in Thread]